org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization

## Interface SerializationPackage.Literals

Enclosing interface:
  SerializationPackage

    public static interface SerializationPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Generated:

### Field Summary

Fields
`static EClass` `ABSTRACT_ATTRIBUTE_INSTANCE` The meta object literal for the '`Abstract Attribute Instance`' class.
`static EReference` `ABSTRACT_ATTRIBUTE_INSTANCE__EATTRIBUTE` The meta object literal for the 'EAttribute' reference feature.
`static EClass` `ABSTRACT_REFERENCE_INSTANCE` The meta object literal for the '`Abstract Reference Instance`' class.
`static EReference` `ABSTRACT_REFERENCE_INSTANCE__EREFERENCE` The meta object literal for the 'EReference' reference feature.
`static EClass` `EXTENDED_EOBJECT_REFERENCE` The meta object literal for the '`Extended EObject Reference`' class.
`static EReference` `EXTENDED_EOBJECT_REFERENCE__ATTRIBUTE_INSTANCES` The meta object literal for the 'Attribute Instances' containment reference list feature.
`static EReference` `EXTENDED_EOBJECT_REFERENCE__EXTENDED_EOBJECT` The meta object literal for the 'Extended EObject' reference feature.
`static EReference` `EXTENDED_EOBJECT_REFERENCE__REFERENCE_INSTANCES` The meta object literal for the 'Reference Instances' containment reference list feature.
`static EClass` `MULTI_VALUED_ATTRIBUTE_INSTANCE` The meta object literal for the '`Multi Valued Attribute Instance`' class.
`static EAttribute` `MULTI_VALUED_ATTRIBUTE_INSTANCE__VALUES` The meta object literal for the 'Values' attribute list feature.
`static EClass` `MULTI_VALUED_CONTAINMENT_REFERENCE_INSTANCE` The meta object literal for the '`Multi Valued Containment Reference Instance`' class.
`static EReference` `MULTI_VALUED_CONTAINMENT_REFERENCE_INSTANCE__OWNED_ELEMENTS` The meta object literal for the 'Owned Elements' containment reference list feature.
`static EClass` `MULTI_VALUED_REFERENCE_INSTANCE` The meta object literal for the '`Multi Valued Reference Instance`' class.
`static EReference` `MULTI_VALUED_REFERENCE_INSTANCE__REFERENCED_ELEMENTS` The meta object literal for the 'Referenced Elements' reference list feature.
`static EClass` `SINGLE_VALUED_ATTRIBUTE_INSTANCE` The meta object literal for the '`Single Valued Attribute Instance`' class.
`static EAttribute` `SINGLE_VALUED_ATTRIBUTE_INSTANCE__VALUE` The meta object literal for the 'Value' attribute feature.
`static EClass` `SINGLE_VALUED_CONTAINMENT_REFERENCE_INSTANCE` The meta object literal for the '`Single Valued Containment Reference Instance`' class.
`static EReference` `SINGLE_VALUED_CONTAINMENT_REFERENCE_INSTANCE__OWNED_ELEMENT` The meta object literal for the 'Owned Element' containment reference feature.
`static EClass` `SINGLE_VALUED_REFERENCE_INSTANCE` The meta object literal for the '`Single Valued Reference Instance`' class.
`static EReference` `SINGLE_VALUED_REFERENCE_INSTANCE__REFERENCED_ELEMENT` The meta object literal for the 'Referenced Element' reference feature.

### Field Detail

#### ABSTRACT_REFERENCE_INSTANCE

    static final EClass ABSTRACT_REFERENCE_INSTANCE

The meta object literal for the '`Abstract Reference Instance`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.AbstractReferenceInstanceImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.SerializationPackageImpl#getAbstractReferenceInstance()`
Generated:

#### ABSTRACT_REFERENCE_INSTANCE__EREFERENCE

    static final EReference ABSTRACT_REFERENCE_INSTANCE__EREFERENCE

The meta object literal for the 'EReference' reference feature.

Generated:

#### MULTI_VALUED_CONTAINMENT_REFERENCE_INSTANCE

    static final EClass MULTI_VALUED_CONTAINMENT_REFERENCE_INSTANCE

The meta object literal for the '`Multi Valued Containment Reference Instance`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.MultiValuedContainmentReferenceInstanceImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.SerializationPackageImpl#getMultiValuedContainmentReferenceInstance()`
Generated:

#### MULTI_VALUED_CONTAINMENT_REFERENCE_INSTANCE__OWNED_ELEMENTS

    static final EReference MULTI_VALUED_CONTAINMENT_REFERENCE_INSTANCE__OWNED_ELEMENTS

The meta object literal for the 'Owned Elements' containment reference list feature.

Generated:

#### MULTI_VALUED_REFERENCE_INSTANCE

    static final EClass MULTI_VALUED_REFERENCE_INSTANCE

The meta object literal for the '`Multi Valued Reference Instance`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.MultiValuedReferenceInstanceImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.SerializationPackageImpl#getMultiValuedReferenceInstance()`
Generated:

#### MULTI_VALUED_REFERENCE_INSTANCE__REFERENCED_ELEMENTS

    static final EReference MULTI_VALUED_REFERENCE_INSTANCE__REFERENCED_ELEMENTS

The meta object literal for the 'Referenced Elements' reference list feature.

Generated:

#### SINGLE_VALUED_ATTRIBUTE_INSTANCE

    static final EClass SINGLE_VALUED_ATTRIBUTE_INSTANCE

The meta object literal for the '`Single Valued Attribute Instance`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.SingleValuedAttributeInstanceImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.SerializationPackageImpl#getSingleValuedAttributeInstance()`
Generated:

#### SINGLE_VALUED_ATTRIBUTE_INSTANCE__VALUE

    static final EAttribute SINGLE_VALUED_ATTRIBUTE_INSTANCE__VALUE

The meta object literal for the 'Value' attribute feature.

Generated:

#### EXTENDED_EOBJECT_REFERENCE

    static final EClass EXTENDED_EOBJECT_REFERENCE

The meta object literal for the '`Extended EObject Reference`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.ExtendedEObjectReferenceImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.SerializationPackageImpl#getExtendedEObjectReference()`
Generated:

#### EXTENDED_EOBJECT_REFERENCE__EXTENDED_EOBJECT

    static final EReference EXTENDED_EOBJECT_REFERENCE__EXTENDED_EOBJECT

The meta object literal for the 'Extended EObject' reference feature.

Generated:

#### EXTENDED_EOBJECT_REFERENCE__ATTRIBUTE_INSTANCES

    static final EReference EXTENDED_EOBJECT_REFERENCE__ATTRIBUTE_INSTANCES

The meta object literal for the 'Attribute Instances' containment reference list feature.

Generated:

#### EXTENDED_EOBJECT_REFERENCE__REFERENCE_INSTANCES

    static final EReference EXTENDED_EOBJECT_REFERENCE__REFERENCE_INSTANCES

The meta object literal for the 'Reference Instances' containment reference list feature.

Generated:

#### SINGLE_VALUED_CONTAINMENT_REFERENCE_INSTANCE

    static final EClass SINGLE_VALUED_CONTAINMENT_REFERENCE_INSTANCE

The meta object literal for the '`Single Valued Containment Reference Instance`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.SingleValuedContainmentReferenceInstanceImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.SerializationPackageImpl#getSingleValuedContainmentReferenceInstance()`
Generated:

#### SINGLE_VALUED_CONTAINMENT_REFERENCE_INSTANCE__OWNED_ELEMENT

    static final EReference SINGLE_VALUED_CONTAINMENT_REFERENCE_INSTANCE__OWNED_ELEMENT

The meta object literal for the 'Owned Element' containment reference feature.

Generated:

#### SINGLE_VALUED_REFERENCE_INSTANCE

    static final EClass SINGLE_VALUED_REFERENCE_INSTANCE

The meta object literal for the '`Single Valued Reference Instance`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.SingleValuedReferenceInstanceImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.SerializationPackageImpl#getSingleValuedReferenceInstance()`
Generated:

#### SINGLE_VALUED_REFERENCE_INSTANCE__REFERENCED_ELEMENT

    static final EReference SINGLE_VALUED_REFERENCE_INSTANCE__REFERENCED_ELEMENT

The meta object literal for the 'Referenced Element' reference feature.

Generated:

#### MULTI_VALUED_ATTRIBUTE_INSTANCE

    static final EClass MULTI_VALUED_ATTRIBUTE_INSTANCE

The meta object literal for the '`Multi Valued Attribute Instance`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.MultiValuedAttributeInstanceImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.SerializationPackageImpl#getMultiValuedAttributeInstance()`
Generated:

#### MULTI_VALUED_ATTRIBUTE_INSTANCE__VALUES

    static final EAttribute MULTI_VALUED_ATTRIBUTE_INSTANCE__VALUES

The meta object literal for the 'Values' attribute list feature.

Generated:

#### ABSTRACT_ATTRIBUTE_INSTANCE

    static final EClass ABSTRACT_ATTRIBUTE_INSTANCE

The meta object literal for the '`Abstract Attribute Instance`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.AbstractAttributeInstanceImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.impl.SerializationPackageImpl#getAbstractAttributeInstance()`
Generated:

#### ABSTRACT_ATTRIBUTE_INSTANCE__EATTRIBUTE

    static final EReference ABSTRACT_ATTRIBUTE_INSTANCE__EATTRIBUTE

The meta object literal for the 'EAttribute' reference feature.

Generated: